Get a Volunteer Opportunity
curl --request GET \
--url https://api.virtuoussoftware.com/api/VolunteerOpportunity/{volunteerOpportunityId} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.virtuoussoftware.com/api/VolunteerOpportunity/{volunteerOpportunityId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.virtuoussoftware.com/api/VolunteerOpportunity/{volunteerOpportunityId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.virtuoussoftware.com/api/VolunteerOpportunity/{volunteerOpportunityId}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.virtuoussoftware.com/api/VolunteerOpportunity/{volunteerOpportunityId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}HttpResponse<String> response = Unirest.get("https://api.virtuoussoftware.com/api/VolunteerOpportunity/{volunteerOpportunityId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.virtuoussoftware.com/api/VolunteerOpportunity/{volunteerOpportunityId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_bodyconst url = 'https://api.virtuoussoftware.com/api/VolunteerOpportunity/{volunteerOpportunityId}';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"id": "<integer>",
"volunteerOpportunityUrl": "<string>",
"name": "<string>",
"locationName": "<string>",
"displayAddress": "<string>",
"startDateTime": "<string>",
"endDateTime": "<string>",
"preferredDateTime": "<string>",
"timeZone": "<string>",
"description": "<string>",
"createDateTimeUtc": "<dateTime>",
"createdByUser": "<string>",
"modifiedDateTimeUtc": "<dateTime>",
"modifiedByUser": "<string>",
"isActive": "<boolean>",
"isLocalOnly": "<boolean>",
"preferredNumberOfHours": "<double>",
"projectId": "<integer>",
"totalVolunteers": "<integer>",
"totalVolunteerHours": "<double>",
"volunteerOrganizers": [
{
"id": "<integer>",
"volunteerOrganizerUrl": "<string>",
"contactId": "<integer>",
"displayName": "<string>",
"firstName": "<string>",
"avatarUrl": "<string>",
"primaryPhone": "<string>",
"primaryEmail": "<string>",
"contactUrl": "<string>",
"volunteerOpportunityUrl": "<string>"
},
{
"id": "<integer>",
"volunteerOrganizerUrl": "<string>",
"contactId": "<integer>",
"displayName": "<string>",
"firstName": "<string>",
"avatarUrl": "<string>",
"primaryPhone": "<string>",
"primaryEmail": "<string>",
"contactUrl": "<string>",
"volunteerOpportunityUrl": "<string>"
}
],
"currentNeed": "<integer>",
"currentPriority": "<string>",
"currentPriorityName": "<string>",
"currentNeedFilledPercentage": "<double>",
"hoursFilledPercentage": "<double>",
"volunteerOrganizersUrl": "<string>",
"volunteersUrl": "<string>",
"customFields": [
{
"name": "<string>",
"value": "<string>",
"displayName": "<string>"
},
{
"name": "<string>",
"value": "<string>",
"displayName": "<string>"
}
]
}{
"message": "Authorization has been denied for this request."
}{
"message": "You do not have permission to perform this action."
}{
"message": "Rate limit exceeded. Try again later."
}Volunteer Opportunity
Get a Volunteer Opportunity
GET
/
api
/
VolunteerOpportunity
/
{volunteerOpportunityId}
Get a Volunteer Opportunity
curl --request GET \
--url https://api.virtuoussoftware.com/api/VolunteerOpportunity/{volunteerOpportunityId} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.virtuoussoftware.com/api/VolunteerOpportunity/{volunteerOpportunityId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.virtuoussoftware.com/api/VolunteerOpportunity/{volunteerOpportunityId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.virtuoussoftware.com/api/VolunteerOpportunity/{volunteerOpportunityId}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.virtuoussoftware.com/api/VolunteerOpportunity/{volunteerOpportunityId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}HttpResponse<String> response = Unirest.get("https://api.virtuoussoftware.com/api/VolunteerOpportunity/{volunteerOpportunityId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.virtuoussoftware.com/api/VolunteerOpportunity/{volunteerOpportunityId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_bodyconst url = 'https://api.virtuoussoftware.com/api/VolunteerOpportunity/{volunteerOpportunityId}';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"id": "<integer>",
"volunteerOpportunityUrl": "<string>",
"name": "<string>",
"locationName": "<string>",
"displayAddress": "<string>",
"startDateTime": "<string>",
"endDateTime": "<string>",
"preferredDateTime": "<string>",
"timeZone": "<string>",
"description": "<string>",
"createDateTimeUtc": "<dateTime>",
"createdByUser": "<string>",
"modifiedDateTimeUtc": "<dateTime>",
"modifiedByUser": "<string>",
"isActive": "<boolean>",
"isLocalOnly": "<boolean>",
"preferredNumberOfHours": "<double>",
"projectId": "<integer>",
"totalVolunteers": "<integer>",
"totalVolunteerHours": "<double>",
"volunteerOrganizers": [
{
"id": "<integer>",
"volunteerOrganizerUrl": "<string>",
"contactId": "<integer>",
"displayName": "<string>",
"firstName": "<string>",
"avatarUrl": "<string>",
"primaryPhone": "<string>",
"primaryEmail": "<string>",
"contactUrl": "<string>",
"volunteerOpportunityUrl": "<string>"
},
{
"id": "<integer>",
"volunteerOrganizerUrl": "<string>",
"contactId": "<integer>",
"displayName": "<string>",
"firstName": "<string>",
"avatarUrl": "<string>",
"primaryPhone": "<string>",
"primaryEmail": "<string>",
"contactUrl": "<string>",
"volunteerOpportunityUrl": "<string>"
}
],
"currentNeed": "<integer>",
"currentPriority": "<string>",
"currentPriorityName": "<string>",
"currentNeedFilledPercentage": "<double>",
"hoursFilledPercentage": "<double>",
"volunteerOrganizersUrl": "<string>",
"volunteersUrl": "<string>",
"customFields": [
{
"name": "<string>",
"value": "<string>",
"displayName": "<string>"
},
{
"name": "<string>",
"value": "<string>",
"displayName": "<string>"
}
]
}{
"message": "Authorization has been denied for this request."
}{
"message": "You do not have permission to perform this action."
}{
"message": "Rate limit exceeded. Try again later."
}Authorizations
Response
OK
Last modified on July 24, 2026
Was this page helpful?